Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.referencing.datum
Class PixelInCell

    Object
      CodeList<PixelInCell>
          PixelInCell

All Implemented Interfaces:
  Serializable, Comparable<PixelInCell>

    @UML(identifier="CD_PixelInCell",
         specification=ISO_19111)
    public final class PixelInCell

extends CodeList<PixelInCell>

Specification of the way the image grid is associated with the image data attributes.

Since:
  GeoAPI 1.0
Version:
  Abstract specification 2.0
See Also:
  Serialized Form

Field Summary
`static PixelInCell` | `CELL_CENTER` The origin of the image coordinate system is the centre of a grid cell or image pixel.
`static PixelInCell` | `CELL_CORNER` The origin of the image coordinate system is the corner of a grid cell, or half-way between the centres of adjacent image pixels.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static PixelInCell` | `valueOf(String code)` Returns the PixelInCell that matches the given string, or returns a new one if none match it.
`static PixelInCell[]` | `values()` Returns the list of `PixelInCell`s.

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CELL_CENTER

    @UML(identifier="cell center",
         obligation=CONDITIONAL,
         specification=ISO_19111)
    public static final PixelInCell CELL_CENTER

  The origin of the image coordinate system is the centre of a grid cell or image pixel.

### CELL_CORNER

    @UML(identifier="cell corner",
         obligation=CONDITIONAL,
         specification=ISO_19111)
    public static final PixelInCell CELL_CORNER

  The origin of the image coordinate system is the corner of a grid cell, or half-way between the centres of adjacent image pixels.

Method Detail

### values

    public static PixelInCell[] values()

  Returns the list of `PixelInCell`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<PixelInCell>`

### valueOf

    public static PixelInCell valueOf(String code)

  Returns the PixelInCell that matches the given string, or returns a new one if none match it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.